Bug 438171 - Quick Settings page gets truncated when the resolution is low
Summary: Quick Settings page gets truncated when the resolution is low
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: Quick Settings (show other bugs)
Version: 5.22.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-06 18:08 UTC by Lua
Modified: 2021-06-20 13:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.22.2


Attachments
No scrollbar (120.71 KB, image/png)
2021-06-07 13:55 UTC, Lua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lua 2021-06-06 18:08:21 UTC
SUMMARY


STEPS TO REPRODUCE
1. Open Settings.

OBSERVED RESULT
There is no scrollbar and the part that is half visible won't show, not even if the user use the mouse scroll.

EXPECTED RESULT


SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.22.80
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-73-generic (64-bit)
Graphics Platform: X11
Processors: 4 × Intel Core Processor (Skylake, IBRS)
Memory: 3.8 GiB of RAM
Graphics Processor: llvmpipe

ADDITIONAL INFORMATION
Comment 1 Lua 2021-06-07 13:55:17 UTC
Created attachment 139077 [details]
No scrollbar
Comment 2 Nate Graham 2021-06-08 23:25:05 UTC
Ugh I had hoped this would never happen. :/
Comment 3 Bug Janitor Service 2021-06-14 16:55:17 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/501
Comment 4 Méven Car 2021-06-20 13:42:35 UTC
Git commit c561706fed003b1746223a1c25cc4b476c835082 by Méven Car, on behalf of Nate Graham.
Committed on 20/06/2021 at 09:57.
Pushed by ngraham into branch 'master'.

[kcms/landingpage] Give up on vertical centering and let it scroll

In the past, we made the content view of this KCM center vertically.
However that caused binding loops and made resizing slow. Then later we
made it non-scrollable so that it could be vertically centered, but that
broke scrollability for users with very short screens.

This commit simplifies the situation to stop doing anything fancy at all
and just uses a boring old SimpleKCM. This lets it be scrollable but
does not have vertical centering for the content. However no other KCM
vertically centers its content like this anyway, so arguably there is a
consistency win as well.
FIXED-IN: 5.21.2

M  +1    -14   kcms/landingpage/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/c561706fed003b1746223a1c25cc4b476c835082
Comment 5 Nate Graham 2021-06-20 13:43:11 UTC
Git commit 3465955554beb28b05644fbfe6e891cb3fe17442 by Nate Graham.
Committed on 20/06/2021 at 13:43.
Pushed by ngraham into branch 'Plasma/5.22'.

[kcms/landingpage] Give up on vertical centering and let it scroll

In the past, we made the content view of this KCM center vertically.
However that caused binding loops and made resizing slow. Then later we
made it non-scrollable so that it could be vertically centered, but that
broke scrollability for users with very short screens.

This commit simplifies the situation to stop doing anything fancy at all
and just uses a boring old SimpleKCM. This lets it be scrollable but
does not have vertical centering for the content. However no other KCM
vertically centers its content like this anyway, so arguably there is a
consistency win as well.
FIXED-IN: 5.21.2


(cherry picked from commit c561706fed003b1746223a1c25cc4b476c835082)

M  +1    -14   kcms/landingpage/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/3465955554beb28b05644fbfe6e891cb3fe17442